# Copyright 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from charmworld.search import (
    BUNDLE,
    IndexMissing,
    translate_error,
)


def upgrade(db, index_client):
    db.bundles.remove({}, False)
    try:
        with translate_error():
            index_client._client.delete_all(index_client.index_name, BUNDLE)
    except IndexMissing:
        # There is nothing to migrate.
        pass
